module constants
  integer,parameter :: nx = 1024, ny = 1024
  real(8),parameter :: length = 1.0d0
  real(8),parameter :: dx = length/dble(nx)
  real(8),parameter :: dy = length/dble(ny)
  real(8),parameter :: dt = 1.0d-4
  real(8),parameter :: nu = dt/dx/dy
  real(8),parameter :: DD = 1.0d-3
  integer,parameter :: fstep = 500000
  real(8),parameter :: Nflops = 12.0d0*nx*ny*fstep
end module constants
