module init_mod
  use constants
  implicit none
contains

  subroutine init(temp)
    real(8) :: temp(nx,ny)
    integer :: i,j

    do j=1,ny
       do i=1,nx
          temp(i,j) = 1.0d0
       enddo
    enddo

    ! Set hot region
    do j=ny/4+1,ny/4*3
       do i=nx/4+1,nx/4*3
          temp(i,j) = 10.0d0
       enddo
    enddo

    return
  end subroutine init

end module init_mod
